// Test1Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Test1.h"
#include "Test1Dlg.h"
#include "Panel.h"
#include "Canvas.h"
#include "ChartFont.h"
#include "TeeFont.h"
#include "Series.h"
#include "Strings.h"
#include "Titles.h"
#include "Gradient.h"
#include "Axis.h"
#include "Axes.h"
#include "Marks.h"
#include <stdlib.h>
#include <stdio.h>


//#include "TeeChartDefines.h"
#include "Canvas.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTest1Dlg dialog

CTest1Dlg::CTest1Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTest1Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTest1Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTest1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTest1Dlg)
	DDX_Control(pDX, IDC_TCHART1, m_chart1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTest1Dlg, CDialog)
	//{{AFX_MSG_MAP(CTest1Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTest1Dlg message handlers

BOOL CTest1Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	m_chart1.AddSeries(1);   
	m_chart1.AddSeries(1);
	m_chart1.AddSeries(1);
	m_chart1.AddSeries(1);
   CString Rxg=_T(" ");
   LPCTSTR lpszStr = Rxg;
   unsigned long number = 3689;

	for(int i=0; i<4;i++)
	{
		for(int j=0; j<10; j++)
		{
			m_chart1.Series(i).AddXY(j,j,lpszStr,number);

		}
		m_chart1.Series(i).GetMarks().SetVisible(FALSE);
	}

	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CTest1Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CTest1Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CTest1Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

BEGIN_EVENTSINK_MAP(CTest1Dlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CTest1Dlg)
	ON_EVENT(CTest1Dlg, IDC_TCHART1, 1 /* OnAfterDraw */, OnOnAfterDrawTchart1, VTS_NONE)
	ON_EVENT(CTest1Dlg, IDC_TCHART1, 18 /* OnGetNextAxisLabel */, OnOnGetNextAxisLabelTchart1, VTS_I4 VTS_I4 VTS_PR8 VTS_PBOOL)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CTest1Dlg::OnOnAfterDrawTchart1() 
{
	// TODO: Add your control notification handler code here
	
}

void CTest1Dlg::OnOnGetNextAxisLabelTchart1(long Axis, long LabelIndex, double FAR* LabelValue, BOOL FAR* MoreLabels) 
{
	// TODO: Add your control notification handler code here
	if(Axis==m_chart1.GetAxis().GetBottom().GetAxisType())
	{
	 	*MoreLabels = true;

	   switch(LabelIndex)
	   {
	   case 0: *LabelValue = 2;
			break;
	   case 1: *LabelValue= 3;
		   break;
	   case 2: *LabelValue=4;
		   break;
	   default: 
			*MoreLabels=false;
	   }

	}
    if(Axis == m_chart1.GetAxis().GetLeft().GetAxisType())
	{
		*MoreLabels= true;

	   switch(LabelIndex)
	   {
	   case 0: *LabelValue = 2;
			break;
	   case 1: *LabelValue= 3;
		   break;
	   case 2: *LabelValue=4;
		   break;
	   default: 
			*MoreLabels=false;
	   }

	}
	
}
